com.holonplatform.spring.internal

## Class GenericDataContextBoundBeanDefinition

- java.lang.Object
- - org.springframework.core.AttributeAccessorSupport
  - - org.springframework.beans.BeanMetadataAttributeAccessor
    - - org.springframework.beans.factory.support.AbstractBeanDefinition
      - - org.springframework.beans.factory.support.GenericBeanDefinition
        - - com.holonplatform.spring.internal.GenericDataContextBoundBeanDefinition

- All Implemented Interfaces:
    DataContextBound, DataContextBoundBeanDefinition, Serializable, Cloneable, org.springframework.beans.BeanMetadataElement, org.springframework.beans.factory.config.BeanDefinition, org.springframework.core.AttributeAccessor

      public class GenericDataContextBoundBeanDefinition
      extends org.springframework.beans.factory.support.GenericBeanDefinition
      implements DataContextBoundBeanDefinition

  A Spring `BeanDefinition` with `DataContextBound` support.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.support.AbstractBeanDefinition

      `AUTOWIRE_AUTODETECT, AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_CONSTRUCTOR, AUTOWIRE_NO, DEPENDENCY_CHECK_ALL, DEPENDENCY_CHECK_NONE, DEPENDENCY_CHECK_OBJECTS, DEPENDENCY_CHECK_SIMPLE, INFER_METHOD, SCOPE_DEFAULT`

    - ### Fields inherited from interface org.springframework.beans.factory.config.BeanDefinition

      `ROLE_APPLICATION, ROLE_INFRASTRUCTURE, ROLE_SUPPORT, SCOPE_PROTOTYPE, SCOPE_SINGLETON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericDataContextBoundBeanDefinition()`
    `GenericDataContextBoundBeanDefinition(org.springframework.beans.factory.config.BeanDefinition original)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()` Get data context id, if available.
    `void` | `setDataContextId(String dataContextId)` Set the data context id

    - ### Methods inherited from class org.springframework.beans.factory.support.GenericBeanDefinition

      `cloneBeanDefinition, equals, getParentName, setParentName, toString`

    - ### Methods inherited from class org.springframework.beans.factory.support.AbstractBeanDefinition

      `addQualifier, applyDefaults, clone, copyQualifiersFrom, getAutowireMode, getBeanClass, getBeanClassName, getConstructorArgumentValues, getDependencyCheck, getDependsOn, getDescription, getDestroyMethodName, getFactoryBeanName, getFactoryMethodName, getInitMethodName, getInstanceSupplier, getLazyInit, getMethodOverrides, getOriginatingBeanDefinition, getPropertyValues, getQualifier, getQualifiers, getResolvableType, getResolvedAutowireMode, getResource, getResourceDescription, getRole, getScope, hasBeanClass, hasConstructorArgumentValues, hashCode, hasMethodOverrides, hasPropertyValues, hasQualifier, isAbstract, isAutowireCandidate, isEnforceDestroyMethod, isEnforceInitMethod, isLazyInit, isLenientConstructorResolution, isNonPublicAccessAllowed, isPrimary, isPrototype, isSingleton, isSynthetic, overrideFrom, prepareMethodOverrides, resolveBeanClass, setAbstract, setAutowireCandidate, setAutowireMode, setBeanClass, setBeanClassName, setConstructorArgumentValues, setDependencyCheck, setDependsOn, setDescription, setDestroyMethodName, setEnforceDestroyMethod, setEnforceInitMethod, setFactoryBeanName, setFactoryMethodName, setInitMethodName, setInstanceSupplier, setLazyInit, setLenientConstructorResolution, setMethodOverrides, setNonPublicAccessAllowed, setOriginatingBeanDefinition, setPrimary, setPropertyValues, setResource, setResourceDescription, setRole, setScope, setSynthetic, validate`

    - ### Methods inherited from class org.springframework.beans.BeanMetadataAttributeAccessor

      `addMetadataAttribute, getAttribute, getMetadataAttribute, getSource, removeAttribute, setAttribute, setSource`

    - ### Methods inherited from class org.springframework.core.AttributeAccessorSupport

      `attributeNames, hasAttribute`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.AttributeAccessor

      `attributeNames, getAttribute, hasAttribute, removeAttribute, setAttribute`

    - ### Methods inherited from interface org.springframework.beans.BeanMetadataElement

      `getSource`

- - ### Constructor Detail

    - #### GenericDataContextBoundBeanDefinition

          public GenericDataContextBoundBeanDefinition()

    - #### GenericDataContextBoundBeanDefinition

          public GenericDataContextBoundBeanDefinition(org.springframework.beans.factory.config.BeanDefinition original)

  - ### Method Detail

    - #### setDataContextId

          public void setDataContextId(String dataContextId)

      Set the data context id
      Parameters:
        `dataContextId` - the data context id to set

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Description copied from interface: `DataContextBound`
      Get data context id, if available.
      Specified by:
        `getDataContextId` in interface `DataContextBound`
      Returns:
        Optional data context id

Copyright © 2019 The Holon Platform. All rights reserved.